/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workappshow.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * app展示Entity
 * @author yangfan
 * @version 2017-08-08
 */
public class Workappshow extends DataEntity<Workappshow> {
	
	private static final long serialVersionUID = 1L;
	private String notifyStatus;		// 公告展示
	private String companyRuleStatus;		// 考勤打卡
	private String reportStatus;		// 工作报告
	private String calendarStatus;		// 日程
	private String auditStatus;		// 审批
	private String signInStatus;		// 外勤签到
	private String meetingStatus;		// 视频会议
	private String manageCalendarStatus;		// 管理日历
	private String businessStatus;		// 管理日历
	private String userId;		// 用户id
    private String companyId; //公司主键

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Workappshow() {
		super();
	}

	public Workappshow(String id){
		super(id);
	}

	@ExcelField(title="公告展示", align=2, sort=7)
	public String getNotifyStatus() {
		return notifyStatus;
	}

	public void setNotifyStatus(String notifyStatus) {
		this.notifyStatus = notifyStatus;
	}
	
	@ExcelField(title="考勤打卡", align=2, sort=8)
	public String getCompanyRuleStatus() {
		return companyRuleStatus;
	}

	public void setCompanyRuleStatus(String companyRuleStatus) {
		this.companyRuleStatus = companyRuleStatus;
	}
	
	@ExcelField(title="工作报告", align=2, sort=9)
	public String getReportStatus() {
		return reportStatus;
	}

	public void setReportStatus(String reportStatus) {
		this.reportStatus = reportStatus;
	}
	
	@ExcelField(title="日程", align=2, sort=10)
	public String getCalendarStatus() {
		return calendarStatus;
	}

	public void setCalendarStatus(String calendarStatus) {
		this.calendarStatus = calendarStatus;
	}
	
	@ExcelField(title="审批", align=2, sort=11)
	public String getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}
	
	@ExcelField(title="外勤签到", align=2, sort=12)
	public String getSignInStatus() {
		return signInStatus;
	}

	public void setSignInStatus(String signInStatus) {
		this.signInStatus = signInStatus;
	}
	
	@ExcelField(title="管理日历", align=2, sort=13)
	public String getManageCalendarStatus() {
		return manageCalendarStatus;
	}

	public void setManageCalendarStatus(String manageCalendarStatus) {
		this.manageCalendarStatus = manageCalendarStatus;
	}
	
	@ExcelField(title="用户id", align=2, sort=14)
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	@ExcelField(title="视频会议", align=2, sort=14)
	public String getMeetingStatus() {
		return meetingStatus;
	}

	public void setMeetingStatus(String meetingStatus) {
		this.meetingStatus = meetingStatus;
	}

	public String getBusinessStatus() {
		return businessStatus;
	}

	public void setBusinessStatus(String businessStatus) {
		this.businessStatus = businessStatus;
	}
}